/*
 * uart.h
 *
 *  Created on: Apr 24, 2022
 *      Author: hussam
 */

#ifndef UART_H_
#define UART_H_

typedef enum
	{
		buffer_full=1,
		buffer_empty=0
	}buffer_enums;

typedef enum
	{
		noIDLE=0,
		IDLE=1
	}idle_enum;


#include "stdio.h"
void uart_tx_rx_dma_init(void);
void usart_dma_write(char *data, uint16_t length);
void launch_rx_dma(uint8_t * buffer, uint16_t length);
uint8_t isBufferFull();
void flush_buffer(uint8_t *buffer,uint16_t length);
uint8_t idle_detected();
#endif /* UART_H_ */
